{% extends "baseLayout.html" %}

{% load static %}

{% block title %}
Editeurs
{% endblock %}

{% block styles %}
    {{ block.super }}
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css"
integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU"
crossorigin="anonymous">

{% endblock %}

{% block content %}
<h2>Editeurs</h2>
<div class="card bg-secondary">
    <div class="card-body">
      <div class="row" style="row-gap: 1rem">
        {% if editeur_list %}
          {% for editeur in editeur_list %}
            <div class="col-sm-6 col-lg-4 col-xl-3">
              <div class="card bg-light text-dark">
                <h5 class="card-header">
                  {{ editeur.nom }}
                </h5>
                <div class="card-body">
                  <img src="{{editeur.logo}}" alt="Logo" class="img-fluid rounded">
                </div>
                <div class="card-footer d-flex justify-content-end" style="column-gap: 1rem">
                    <a href="{% url 'lesJeux:editeur-detail' editeur.id %}" class="btn btn-secondary"><i class="fas fa-eye"></i></a>
                    <a href="{% url 'lesJeux:editeur_update' editeur.id %}" class="btn btn-primary"><i class="fas fa-pen"></i></a>
                    <a href="{% url 'lesJeux:editeur-delete' editeur.id %}" class="btn btn-danger"><i class="fas fa-trash"></i></a>
                  </div>
              </div>
            </div>
          {% endfor %}
        {% else %}
          <h4 class="container text-warning">Aucun Editeur !</h4>
        {% endif %}
      </div>
    </div>
  </div>
  <a href="{% url 'lesJeux:editeur_create' %}" class="btn btn-success mt-3">Ajouter un Editeur</a>
  <a href="{% url 'lesJeux:jeu_list'  %}"  class="btn btn-primary mt-3">Voir les Jeux</a>
  <a href="{% url 'lesJeux:personnage_list'  %}"  class="btn btn-primary mt-3">Voir les Personnages</a>

     
{% endblock %}